### Function

# EvinceDocument Document factory_get_document

#### Declaration [src]

    EvDocument*
    ev_document_factory_get_document (
      const char* uri,
      GError** error
    )

#### Description [src]

Creates a `EvDocument` for the document at `uri`; or, if no backend handling the document’s type is found, or an error occurred on opening the document, returns `NULL` and fills in `error`. If the document is encrypted, it is returned but also `error` is set to `EV_DOCUMENT_ERROR_ENCRYPTED`.

#### Parameters

`uri`

  Type: `const char*`

  An URI.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `EvDocument`

A new `EvDocument`, or `NULL`.

The caller of the function takes ownership of the data, and is responsible for freeing it.